//
//  AFRegistrationController.h
//  AFRegistration
//
//  Created by Scott on 4/21/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AFRegistrationConfiguration.h"
#import "AFRegistrationWindowController.h"
#import "AFRegisterWindowController.h"

#define		REGISTRATION_REGISTERED		@"AFRegistration Registered"
#define		REGISTRATION_RESTRICTED		@"AFRegistration Restricted"


@interface AFRegistrationManager : NSObject {

	id									 delegate;
	AFRegistrationWindowController		*windowController;
	AFRegisterWindowController			*registerWindowController;
	AFRegistrationConfiguration			*configuration;
	NSString							*name;
	NSString							*serial;
	int									 trialCounter;
	BOOL								 isApplicationLoaded;
	BOOL								 isInitialized;
	BOOL								 isUsageLoaded;
}

+ (AFRegistrationManager *)sharedRegistrationManager;

- (void)setDelegate:(id)value;
- (id)delegate;
- (void)initializeSetup;
- (void)configure:(AFRegistrationConfiguration *)configurationValue;
- (BOOL)checkSerial:(NSString *)serialValue andName:(NSString *)nameValue;
- (void)incrementTrial;
- (BOOL)isRegistered;
- (BOOL)isRestricted;
- (BOOL)registerSerial:(NSString *)serialValue andName:(NSString *)nameValue;
- (void)deactivate;
- (void)closeWindow;
- (void)showRegistrationWindow;
- (void)showTrialWindow;
- (void)showInformationWindow;
- (void)showBetaWindow;
- (void)showBetaExpiredWindow;
- (void)showRegisterWindow;
- (NSString*)registeredName;
- (NSString*)registeredSerial;
- (NSString*)purchaseURL;

@end
